# Generated by Django 4.2.1 on 2023-05-28 09:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('bot', '0001_initial'),
        ('common', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField(default=True, verbose_name='Is active')),
                ('title', models.CharField(max_length=255, verbose_name='Organization title')),
                ('description', models.TextField(verbose_name='Organization description')),
                ('address', models.CharField(max_length=255, verbose_name='Organization address')),
                ('phone', models.CharField(max_length=255, verbose_name='Organization phone')),
                ('email', models.EmailField(max_length=254, verbose_name='Organization email')),
                ('logo', models.ImageField(upload_to='organization', verbose_name='Organization logo')),
                ('district', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='common.district', verbose_name='Organization district')),
            ],
            options={
                'verbose_name': 'Organization',
                'verbose_name_plural': 'Organizations',
                'db_table': 'organization',
            },
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField(default=True, verbose_name='Is active')),
                ('title', models.CharField(max_length=255, verbose_name='Service title')),
                ('description', models.TextField(verbose_name='Service description')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='organization.organization', verbose_name='Organization')),
            ],
            options={
                'verbose_name': 'Service',
                'verbose_name_plural': 'Services',
                'db_table': 'service',
            },
        ),
        migrations.CreateModel(
            name='ServiceWorkingTime',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField(default=True, verbose_name='Is active')),
                ('day', models.SmallIntegerField(choices=[(1, 'Monday'), (2, 'Tuesday'), (3, 'Wednesday'), (4, 'Thursday'), (5, 'Friday'), (6, 'Saturday'), (7, 'Sunday')], verbose_name='Day')),
                ('start_time', models.TimeField(verbose_name='Start time')),
                ('end_time', models.TimeField(blank=True, null=True, verbose_name='End time')),
                ('duration', models.DurationField(blank=True, null=True, verbose_name='Duration')),
                ('number_of_clients', models.SmallIntegerField(default=1, verbose_name='Number of clients')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='organization.service', verbose_name='Service')),
            ],
            options={
                'verbose_name': 'Service working time',
                'verbose_name_plural': 'Service working times',
                'db_table': 'service_working_time',
            },
        ),
        migrations.CreateModel(
            name='ServiceQueue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField(default=True, verbose_name='Is active')),
                ('date', models.DateField(verbose_name='Date')),
                ('time', models.TimeField(verbose_name='Time')),
                ('is_cancelled', models.BooleanField(default=False, verbose_name='Is cancelled')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bot.telegramprofile', verbose_name='Telegram profile')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='organization.service', verbose_name='Service')),
                ('service_time', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='organization.serviceworkingtime', verbose_name='Service time')),
            ],
            options={
                'verbose_name': 'Service queue',
                'verbose_name_plural': 'Service queues',
                'db_table': 'service_queue',
            },
        ),
        migrations.CreateModel(
            name='ServiceImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField(default=True, verbose_name='Is active')),
                ('image', models.ImageField(upload_to='service', verbose_name='Service image')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='organization.service', verbose_name='Service')),
            ],
            options={
                'verbose_name': 'Service image',
                'verbose_name_plural': 'Service images',
                'db_table': 'service_image',
            },
        ),
        migrations.CreateModel(
            name='OrganizationImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField(default=True, verbose_name='Is active')),
                ('image', models.ImageField(upload_to='organization', verbose_name='Organization image')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='organization.organization', verbose_name='Organization')),
            ],
            options={
                'verbose_name': 'Organization image',
                'verbose_name_plural': 'Organization images',
                'db_table': 'organization_image',
            },
        ),
    ]
